Bug 69298 - Internal error: Segmentation fault (program cc1)
Internal error: Segmentation fault (program cc1)
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-20 04:39 EDT by Need Real Name
Modified: 2007-04-18 12:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-02 19:41:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-07-20 04:39:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98)

Description of problem:
When I tried to compile a Ultimate ircd, it appeared this msg :
/usr/bin/gcc -I../include -g -O   -c dynconf.c
gcc: Internal error: Segmentation fault (program cc1)
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[1]: *** [dynconf.o] Error 1
make[1]: Leaving directory `/home/ircd/110/src'
make: *** [build] Error 2


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.try with -I -O flag
2.Still got that problem
3.
	

Additional info:
Comment 1 Ed Beroset 2003-01-04 09:10:21 EST
Here's another symptom, possibly related, but it doesn't seem to be as
reproduceable.  I was recompiling the kernel on a Redhat 8.0 install and got
this partway through the build:

gcc -D__KERNEL__ -I/usr/src/linux-2.4.18-19.8.0/include -Wall
-Wstrict-prototypes -Wno-trigraphs -O2 -fno-strict-aliasing -fno-common
-fomit-frame-pointer -pipe -mpreferred-stack-boundary=2 -march=i686
-falign-functions=4    -nostdinc -I
/usr/lib/gcc-lib/i386-redhat-linux/3.2/include -DKBUILD_BASENAME=tcp_input  -c -o
tcp_input.o tcp_input.c
tcp_input.c: In function `tcp_data_queue':
tcp_input.c:2726: internal error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[3]: *** [tcp_input.o] Error 1
make[3]: Leaving directory `/usr/src/linux-2.4.18-19.8.0/net/ipv4'
make[2]: *** [first_rule] Error 2
make[2]: Leaving directory `/usr/src/linux-2.4.18-19.8.0/net/ipv4'
make[1]: *** [_subdir_ipv4] Error 2
make[1]: Leaving directory `/usr/src/linux-2.4.18-19.8.0/net'
make: *** [_dir_net] Error 2

To see if this could be reproduced, I tried just that file like so:
> make net/ipv4/tcp_input.o

gcc -D__KERNEL__ -I/usr/src/linux-2.4.18-19.8.0/include -Wall
-Wstrict-prototypes -Wno-trigraphs -O2 -fno-strict-aliasing -fno-common
-fomit-frame-pointer -pipe -mpreferred-stack-boundary=2 -march=i686
-falign-functions=4   -nostdinc -I
/usr/lib/gcc-lib/i386-redhat-linux/3.2/include -DKBUILD_BASENAME=tcp_input  -c
-o net/ipv4/tcp_input.o net/ipv4/tcp_input.c

No problems that time.  I have compiled the kernel about four or five times so
far on this machine (within this, the first week I've had the box) and haven't
had any trouble until now.  Machine is Athlon 2400+ with 1G RAM running pretty
much a plain RedHat 8.0 install (so far).  
Comment 2 hongyunzheng 2003-02-03 08:14:25 EST
Here's another symptom, possibly related, but it doesn't seem to be as
reproduceable.  I was compiling the application of ns-2.1b7a on a Redhat 7.1

 C++: Internal error: segmentation fault(program ccplus)
 Please submit a full bug report,
 See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
 make[1]: *** [drop-tail.o] Error 1



Comment 3 Richard Henderson 2004-10-02 19:41:28 EDT
GCC 3.3 can build Ultimate2.8.8 just fine.

As for the other two unrelated problems, non-reproducable segvs
are a sign of hardware faults.

Note You need to log in before you can comment on or make changes to this bug.